Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecdatasectionnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecdatasectionnodetype (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a CDATASection Node returns the constant value 4.

Retrieve the CDATASection node contained inside the second child of the second employee and invoke the "getNodeType()" method. The method should return 4.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-667469212

Definition at line 45 of file nodecdatasectionnodetype.java.

## Constructor & Destructor Documentation

nodecdatasectionnodetype::nodecdatasectionnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodecdatasectionnodetype.java. References DocumentBuilderSetting::notCoalescing, and DOMTest::setFactory().
    00048                                      {
    00049
    00050       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00051 DocumentBuilderSetting.notCoalescing
    00052         };
    00053         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00054         setFactory(testFactory);
    00055
    00056    }

## Member Function Documentation

String nodecdatasectionnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file nodecdatasectionnodetype.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecdatasectionnodetype";
    00074    }

void nodecdatasectionnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file nodecdatasectionnodetype.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(nodecdatasectionnodetype.class,args);
    00077    }

void nodecdatasectionnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 58 of file nodecdatasectionnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00058                                                     {
    00059       Document doc;
    00060       NodeList elementList;
    00061       Element testName;
    00062       Node cdataNode;
    00063       int nodeType;
    00064       doc = load("staff");
    00065       elementList = doc.getElementsByTagName("name");
    00066       testName = (Element)elementList.item(1);
    00067       cdataNode = testName.getLastChild();
    00068       nodeType = (int)cdataNode.getNodeType();
    00069       assertEquals("nodeCDATASectionNodeTypeAssert1",4,nodeType);
    00070
    00071    }

The documentation for this class was generated from the following file:

- nodecdatasectionnodetype.java